Share Gift Card
Shares a saved gift card with another user, granting them equal access to the same card balance.
- Type: stringx
-application Source requiredA custom HTTP header that accepts a free-form string value. It is used to identify the application making the API request. For example, if Punchh invokes the API, the value could be "punchh".
- Type: stringX
- Location Id requiredThe unique location identifier for the store or business location processing the transaction.
- Type: stringContent
- Type requiredThe media type of the request body. Must be set to
application/json. - Type: stringAuthorizationrequired
Bearer token for API authorization. Send in the format:
Bearer ACCESS_TOKEN_GOES_HERE.
Request containing the sender userId, recipient userId, and gift card ID to share.
- Type: stringgift
Card Id min length:1requiredThe gift card ID to share (returned by savegiftcard).
- Type: stringrecipient
User Id min length:1requiredThe unique identifier of the user receiving access to the gift card.
- Type: stringsender
User Id min length:1requiredThe unique identifier of the user sharing the gift card.
- application/json
- application/json
- application/json
- application/json
curl https://SERVER_NAME_GOES_HERE.partech.com/giftcard/v1/sharegiftcard \
--request POST \
--header 'x-applicationSource: ' \
--header 'X-LocationId: ' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
--data '{
"senderUserId": "user-abc123",
"recipientUserId": "user-xyz789",
"giftCardId": "01JNXXXXXXXXXXXXXXXXXXXXXX"
}'
{
"giftCardId": "01JNXXXXXXXXXXXXXXXXXXXXXX"
}Gift card shared successfully